=== debian/changelog ===
pykde4 (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:33:07 +0100

pykde4 (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:59:56 +0200

pykde4 (4:4.12.95-0ubuntu2) trusty; urgency=medium

  * Don't hard-code python versions in .install files.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 19:59:48 +0100

pykde4 (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Dmitry Shachnev ]
  * Add watch file (set up to track unstable releases).

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Mar 2014 20:47:35 +0100

pykde4 (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * Install /usr/bin/pykdeuic4-3.4
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:09:24 +0000

pykde4 (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:20:52 +0100

pykde4 (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:35:25 +0000

pykde4 (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:50:11 +0000

pykde4 (4:4.12.0-0ubuntu2) trusty; urgency=medium

  * debian/rules: Fix support for multiple Python 3 versions.

 -- William Grant <wgrant@ubuntu.com>  Mon, 30 Dec 2013 13:38:41 +1100

pykde4 (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:52:06 +0000

pykde4 (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:50:30 +0000

pykde4 (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:44:35 +0100

pykde4 (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Update boost to 1.54 

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:06:47 +0100
