## pykde4 4.13.1

=== debian/changelog ===
pykde4 (4:4.13.1-1tanglu1) staging; urgency=medium

  * Cherry pick 1e9817f99b405a66199fe9f62de31d3870e3ad12 as
    upstream_Fix-building-with-PyQt-4.11.diff to fix the build with
    pyqt4.11 and sip 1.16

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 24 Jun 2014 20:36:43 +0200

pykde4 (4:4.13.1-1b1) staging; urgency=low

  * No-change rebuild against Python 3.4.

 -- Jon Severinsson <jon@severinsson.net>  Wed, 18 Jun 2014 17:04:10 +0200

pykde4 (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:22:34 +0200

pykde4 (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:11 +0200

pykde4 (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:20 +0100

pykde4 (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 11:59:32 +0100
