## pykde4 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,15 +113,27 @@
 # Use an extra option when compiling on Python 3.
 if (PYTHON_VERSION_MAJOR GREATER 2)
     if(PYQT4_VERSION STRGREATER "040904")
-	    # Disable for newer PyQt
-	    set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector)
+	    # Disable for features in newer Qt
+        if (PYQT4_VERSION STRGREATER "040a04")
+            # GLuint + QVector (PyQt > 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x PyKDE_GLuint)
+        else ()
+            # QVector (PyQt < 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector)
+        endif ()
     else ()
 	    set(SIP_EXTRA_OPTIONS -g)
     endif()
 else (PYTHON_VERSION_MAJOR GREATER 2)
     if(PYQT4_VERSION STRGREATER "040904")
 	# Disable for newer PyQt
-    	set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3)
+        if (PYQT4_VERSION STRGREATER "040a04")
+            # GLuint + QVector (PyQt > 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint)
+        else ()
+            # QVector (PyQt < 4.11)
+            set(SIP_EXTRA_OPTIONS -P -g -x PyKDE_QVector -x Py_v3)
+        endif ()
     else ()
 	    set(SIP_EXTRA_OPTIONS -g -x Py_v3)
     endif()
@@ -270,18 +282,3 @@
 configure_file(pykdeconfig.py.in ${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py)
 python_install(${CMAKE_CURRENT_BINARY_DIR}/pykdeconfig.py ${PYTHON_SITE_PACKAGES_INSTALL_DIR}/PyKDE4)
 
-# Install the .sip files for anyone that wants to build bindings on top of PyKDE4.
-# (Don't forget the / at the end of sip/.)
-install(DIRECTORY sip/ DESTINATION ${SIP_FILES_INSTALL_DIR}/PyKDE4
-    PATTERN "*~" EXCLUDE    # This sucks, why can't I just whitelist what I _do_ want?
-    PATTERN ".svn" EXCLUDE
-    PATTERN "*.in" EXCLUDE)
-
-add_subdirectory(tools)
-#add_subdirectory(docs)
-add_subdirectory(examples)
-if (PYTHON_VERSION_MAJOR LESS 3)
-    add_subdirectory(kpythonpluginfactory)
-endif ()
-
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
