## pykde4 4.14.0

=== debian/changelog ===
pykde4 (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 04:54:50 +0200

pykde4 (4:4.13.3-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch from Fedora (no_gl_defines.diff) to fix building against
    python-qt4 4.11.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream applied patch: no_gl_defines.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 16:30:28 +0200
