=== debian/control ===
--- 
+++ 
@@ -1,32 +1,49 @@
 Source: pykde4
 Section: python
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: 
- debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3), kdepimlibs5-dev (>= 4:4.13.3),
- libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
- libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
- libboost1.54-dev, shared-desktop-ontologies (>= 0.8),
- python-all-dev (>= 2.6.6-3~), python3-all-dev,
- python-sip-dev (>= 4.15.2~), python3-sip-dev, pkg-config,
- python-qt4 (>= 4.10.3-1ubuntu1), python3-pyqt4, python-qt4-dev (>= 4.9)
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Build-Depends: debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.11),
+               kdepimlibs5-dev (>= 4:4.13),
+               libboost-dev (>= 1.34.0),
+               libphonon-dev (>= 4:4.6.0really4.4.4),
+               libqt4-dev (>= 4:4.7.1),
+               libqt4-opengl-dev (>= 4:4.7.1),
+               libqtwebkit-dev,
+               libsoprano-dev (>= 2.7.0),
+               nepomuk-core-dev (>= 4:4.11),
+               pkg-config,
+               pkg-kde-tools (>= 0.12),
+               python-all-dev (>= 2.6.6-3~),
+               python-qt4 (>= 4.9.5),
+               python-qt4-dev (>= 4.9.5),
+               python-sip-dev (>= 4.14),
+               python3-all-dev,
+               python3-pyqt4 (>= 4.9.5),
+               python3-sip-dev (>= 4.14),
+               shared-desktop-ontologies (>= 0.8)
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/pykde4
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/pykde4.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/pykde4.git
 
 Package: python-kde4
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
- python-qt4 (>= 4.8.3-3~), ${sip:Depends}, python-sip
+Depends: python-qt4 (>= 4.8.3-3~),
+         python-sip,
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends},
+         ${sip:Depends}
 Suggests: ${shlibs:Suggests}
+Provides: ${python:Provides}
 Breaks: plasma-scriptengine-python (<< 4:4.6.5), python-qt4 (<< 4.8.3-3~)
 Description: Python bindings for the KDE Development Platform
  This package contains PyKDE, the Python bindings for the KDE
@@ -58,7 +75,8 @@
 
 Package: python-kde4-dev
 Architecture: all
-Depends: ${misc:Depends}, python-kde4 (>= ${source:Version}), python-qt4 (>= 4.8.3-3~)
+Depends: python-kde4 (>= ${source:Version}) | python3-pykde4 (>= ${source:Version}),
+         ${misc:Depends}
 Breaks: python-kde4 (<< ${source:Version})
 Description: UIC compiler and SIP files for PyKDE
  This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
@@ -83,7 +101,10 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdelibs5-dbg, python-kde4 (= ${binary:Version}), python-dbg
+Depends: kdelibs5-dbg,
+         python-dbg,
+         python-kde4 (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: python-qt4-dbg
 Breaks: kdebindings-dbg
 Replaces: kdebindings-dbg
@@ -95,8 +116,13 @@
 
 Package: python3-pykde4
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
- python3-pyqt4, ${sip3:Depends}, python3-sip
+Depends: python3-pyqt4,
+         python3-sip,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends},
+         ${sip3:Depends}
+Provides: ${python3:Provides}
 Description: Python 3 bindings for the KDE Development Platform
  This package contains PyKDE, the Python 3 bindings for the KDE
  libraries, that allow you to write KDE programs using Python 3 instead of
@@ -129,11 +155,14 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdelibs5-dbg, python3-pykde4 (= ${binary:Version}), python3-dbg
+Depends: kdelibs5-dbg,
+         python3-dbg,
+         python3-pykde4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-pyqt4-dbg
 Description: debugging symbols for PyKDE bindings for Python 3
  This package contains debugging files used to investigate problems with
  Python 3 bindings for the KDE Development Platform. Install this package if
  you are experiencing crashes of the PyKDE application and wish to report a
  problem to the developers.
-
