## pykde4 4.14.1

=== debian/changelog ===
pykde4 (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Repair optional_install_sip_files.diff so it applies. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:02:03 +0200

pykde4 (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:45:21 +0200

pykde4 (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Rebuild without nepomuk support
  * Drop references to nepomuk from package descriptions

 -- Scott Kitterman <scott@kitterman.com>  Fri, 08 Aug 2014 00:35:43 -0400

pykde4 (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Refresh patches
  * Call dh_python2 with --no-shebang-rewrite as this fails on pyuickde4
    symlink

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 31 Jul 2014 13:23:00 -0700

pykde4 (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Build without nepomuk

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:57:28 +0200

pykde4 (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Removed debian_patches_no_gl_defines.diff, does not apply, a condition was put in its place. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 16:45:33 -0700

pykde4 (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Add debian/patches/debian_patches_no_gl_defines.diff to fix build with
    python-qt4 4.11 (and adjust minimum build-dep)
      - Patch from Fedora via Debian

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Jun 2014 21:00:25 -0400

pykde4 (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Dimitri John Ledkov ]
  * Build against boost1.55.

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:10:17 +0100
