## pykde4 4.14.2

=== tools/kcmodule_example/CMakeLists.txt ===
install(FILES pykcm.desktop DESTINATION ${SERVICES_INSTALL_DIR})
python_install(pykcm.py ${DATA_INSTALL_DIR}/pykcm/)
