=== debian/changelog ===
pykde4 (4:4.14.2-0ubuntu6) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:06 +0000

pykde4 (4:4.14.2-0ubuntu5) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 19:38:07 +0000

pykde4 (4:4.14.2-0ubuntu4) wily; urgency=medium

  [ Harald Sitter ]
  * Build without kdepimlibs5-dev present to facilitate the kdepim frameworks
    5 transition. kdepimlibs as of KDE Applications 15.08 will be frameworks
    based and not co-installable with the old libs (due to data files).
    Disable the pimlibs in pykde4.

  [ Jonathan Riddell ]
  * Remove build-dep on libsoprano-dev

 -- Harald Sitter <sitter@kde.org>  Mon, 17 Aug 2015 10:21:55 +0200

pykde4 (4:4.14.2-0ubuntu3) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:12:14 +0000

pykde4 (4:4.14.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 25 Jul 2015 20:20:35 +0000

pykde4 (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:50:20 -0700
