=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: 
  debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.14.1), kdepimlibs5-dev (>= 4:4.14.1),
- libphonon-dev (>= 4:4.6.0really4.4.4), libsoprano-dev (>= 2.7.0),
+ kdelibs5-dev (>= 4:4.14.2),
+ libphonon-dev (>= 4:4.6.0really4.4.4),
  libqt4-dev (>= 4:4.7.1), libqt4-opengl-dev (>= 4:4.7.1), libqtwebkit-dev,
- libboost1.55-dev,
+ libboost-dev,
  python-all-dev (>= 2.6.6-3~), python3-all-dev,
  python-sip-dev (>= 4.15.2~), python3-sip-dev, pkg-config,
  python-qt4 (>= 4.11), python3-pyqt4, python-qt4-dev (>= 4.9)
